Debian Bug report logs - #361482
swig1.3: FTBFS on kfreebsd-amd64: unsatisfied Build-Depends

version graph

Package: swig1.3; Maintainer for swig1.3 is Torsten Landschoff <torsten@debian.org>;

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Sat, 8 Apr 2006 18:04:55 UTC

Severity: normal

Tags: fixed

Found in version swig1.3/1.3.28-1.1

Fixed in version 1.3.29-2.1

Done: Petr Salinger <Petr.Salinger@seznam.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Torsten Landschoff <torsten@debian.org>:
Bug#361482; Package swig1.3. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@t-systems.cz>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@t-systems.cz>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: swig1.3: FTBFS on kfreebsd-amd64: unsatisfied Build-Depends
Date: Sat, 08 Apr 2006 20:02:09 +0200
Package: swig1.3
Version: 1.3.28-1.1

Hi,

the current version of swig1.3 has unsatisfied Build-Depends under kfreebsd-amd64 port.

Your package belong between packages which already have specific 
Build-Depends for kfreebsd-i386, the same are also needed for kfreebsd-amd64.

Please, could you support kfreebsd-amd64 similarly
as kfreebsd-i386 in Build-Depends and in debian/rules.

Usually it means excluding linux specific packages, like:
libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]

Thanks for your cooperation.
	                         Petr




Changed Bug submitter from Petr Salinger <Petr.Salinger@t-systems.cz> to Petr Salinger <Petr.Salinger@seznam.cz>. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#361482; Package swig1.3. Full text and rfc822 format available.

Acknowledgement sent to Daniel Baumann <daniel.baumann@panthera-systems.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #12 received at 361482@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 382096@bugs.debian.org, 385080@bugs.debian.org, 361482@bugs.debian.org
Subject: NMU Diff
Date: Sat, 09 Sep 2006 13:09:28 +0200
[Message part 1 (text/plain, inline)]
Hi,

this is the NMU Diff.
[NMU.diff (text/plain, inline)]
diff -Naur swig-1.3.29-2/debian/changelog swig-1.3.29-2.1/debian/changelog
--- swig-1.3.29-2/debian/changelog	2006-09-09 10:53:56.000000000 +0000
+++ swig-1.3.29-2.1/debian/changelog	2006-09-09 10:53:33.000000000 +0000
@@ -1,3 +1,12 @@
+swig1.3 (1.3.29-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload, BSP Zurich/Switzerland.
+  * Moving quilt from build-depends to build-depends-indep
+    (Closes: #382096, #385080).
+  * Added kfreebsd-amd64 to build-depends ignores (Closes: #361482).
+
+ -- Daniel Baumann <daniel@debian.org>  Sat,  9 Sep 2006 12:41:00 +0200
+
 swig1.3 (1.3.29-2) unstable; urgency=medium
 
   * Adopt to new default python version (closes: #384212).
diff -Naur swig-1.3.29-2/debian/control swig-1.3.29-2.1/debian/control
--- swig-1.3.29-2/debian/control	2006-09-09 10:53:56.000000000 +0000
+++ swig-1.3.29-2.1/debian/control	2006-09-09 10:53:33.000000000 +0000
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.6.2
-Build-Depends-Indep: quilt (>= 0.40-1)
-Build-Depends: debhelper (>= 4.0), tcl8.4-dev, tk8.4-dev, libperl-dev, bison, python-dev (>= 2.4), python-dev (<< 2.5), ruby1.8, ruby1.8-dev, guile-1.6-dev, php4-dev, php4-cgi, pike7.6, pike7.6-dev, ocaml, libchicken-dev [!m68k !mips !mipsel], libpcre3-dev [!m68k !mips !mipsel], gcj [!hppa !mips !mipsel !kfreebsd-i386], gij [!hppa !mips !mipsel !kfreebsd-i386]
+Build-Depends: debhelper (>= 4.0), quilt (>= 0.40-1), tcl8.4-dev, tk8.4-dev, libperl-dev, bison, python-dev (>= 2.4), python-dev (<< 2.5), ruby1.8, ruby1.8-dev, guile-1.6-dev, php4-dev, php4-cgi, pike7.6, pike7.6-dev, ocaml, libchicken-dev [!m68k !mips !mipsel], libpcre3-dev [!m68k !mips !mipsel], gcj [!hppa !mips !mipsel !kfreebsd-amd64 !kfreebsd-i386], gij [!hppa !mips !mipsel !kfreebsd-amd64 !kfreebsd-i386]
 
 Package: swig
 Architecture: any

Tags added: fixed Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Petr Salinger <Petr.Salinger@seznam.cz>:
You have taken responsibility. (Wed, 24 Sep 2008 17:48:05 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 17:48:05 GMT) Full text and rfc822 format available.

Message #19 received at 361482-close@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 361482-close@bugs.debian.org
Subject: 361482 fixed two years ago by NMU
Date: Wed, 24 Sep 2008 20:04:21 +0200 (CEST)
Version: 1.3.29-2.1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Oct 2008 07:30:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:52:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.